hopenssl: FFI Bindings to OpenSSL's EVP Digest Interface

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain] [Publish]

Warnings:

Foreign-function bindings to the OpenSSL library. Currently provides access to the messages digests MD5, DSS, DSS1, RIPEMD160, and various SHA variants through the EVP digest interface.

Properties

Versions 1.0, 1.1, 1.2, 1.3, 1.4, 1.6, 1.6.1, 1.6.2, 1.7, 2, 2.1, 2.2, 2.2.1, 2.2.1, 2.2.2, 2.2.3, 2.2.4
Change log None available
Dependencies base (>=4.6 && <5), bytestring [details]
License BSD-3-Clause
Copyright (c) 2004-2017 Peter Simons
Author Peter Simons, Markus Rothe
Maintainer Peter Simons <simons@cryp.to>
Category Foreign, Cryptography
Home page http://github.com/peti/hopenssl
Source repo head: git clone git://github.com/peti/hopenssl.git
Uploaded by PeterSimons at 2017-07-07T11:52:25Z

Modules

[Index]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees